import sys
import socket

if __name__ == "__main__":
    s: socket.socket
    if len(sys.argv) == 3:
        host = sys.argv[1]
        port = sys.argv[2]
        family, _, _, _, addr = socket.getaddrinfo(host, int(port))[0]
        s = socket.socket(family, socket.SOCK_STREAM)
        s.connect(addr)
    elif len(sys.argv) == 2:
        path = sys.argv[1]
        addr: str
        if path.startswith('@'):
            addr = '\0' + path[1:]
        else:
            addr = path
        s = socket.socket(socket.AF_UNIX, socket.SOCK_STREAM)
        s.connect(addr)
    else:
        print("Usage:", sys.argv[0] , "host port | path | @abstract")
        sys.exit(1)

    s.close()